netbeans-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kenneth Fogel <kfo...@dawsoncollege.qc.ca>
Subject RE: Compile & Execute Under Early Access JDK 17
Date Mon, 14 Jun 2021 16:26:04 GMT
I have just installed Java 17 ea 26 and then configured NB 12.4 to use 17 as its version of
Java. NetBeans started but was unable to successfully create either a maven or ant project.
Code could be compiled and built but the class with main could not be found. It alsdo did
not automatically load the Java SE plugin, I had to do that manually. The messages.log reports:

SEVERE [org.openide.util.Exceptions]
java.lang.NoSuchMethodError: 'void com.sun.tools.javac.util.Log.<init>(com.sun.tools.javac.util.Context,
java.io.PrintWriter, java.io.PrintWriter, java.io.PrintWriter)'
as the most common exception.

This seems to always occur for any issue such as errors parsing my HelloWorld.

There is more I can report on. Compiling under 17 might give us a better result.

For the moment NetBeans 12.4 is unusable on Java 17 ea 26 running on Windows 10.0.19042.1052.
Switched back to JDK-16.0.1.0-hotspot and code could be run.

What the Quality Outreach group wants to know is if we are testing our project under EA builds
of JDK 17 and if it works.

Ken


-----Original Message-----
From: Geertjan Wielenga <geertjan.wielenga@googlemail.com.INVALID> 
Sent: June 14, 2021 11:39 AM
To: dev@netbeans.apache.org
Subject: Re: Compile & Execute Under Early Access JDK 17

There’s also a difference between being able to compile with JDK 17 or run on JDK 17. I
think what we should be aiming at os being able to run NetBeans on JDK 17.

Gj


On Mon, 14 Jun 2021 at 17:30, Geertjan Wielenga < geertjan.wielenga@googlemail.com>
wrote:

> The next release will be 12.5.
>
> Gj
>
> On Mon, 14 Jun 2021 at 17:29, Geertjan Wielenga < 
> geertjan.wielenga@googlemail.com> wrote:
>
>>
>> The SecurityManager is enabled by default in JDK 17.
>>
>> Gj
>>
>> On Mon, 14 Jun 2021 at 17:27, Kenneth Fogel 
>> <kfogel@dawsoncollege.qc.ca>
>> wrote:
>>
>>> Hi,
>>>
>>> I'd like to compile NB 12.4 under JDK 17 ea 26. I believe that there 
>>> are switches necessary to enable the Security Manager. Could you 
>>> please pass on the command line moodifications I will need to 
>>> compile and then run NB or direct me to a web page where this info resides.
>>>
>>> Will the next LTS version of NB be 12.5 or 13.0? Please let me know 
>>> who may already be testing with JDK 17. Based on what I can learn I 
>>> will be able to update the OpenJDK Quality Outreach wiki.
>>>
>>> I also hope to encourage more developers to test NB with EA versions 
>>> of Java. Think of it as a NetCAT for EA.
>>>
>>> Ken
>>>
>>>
>>>
Mime
View raw message